Index: src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1ResultSet.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1ResultSet.java,v
retrieving revision 1.22
diff -c -r1.22 AbstractJdbc1ResultSet.java
*** src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1ResultSet.java	29 Oct 2003 02:39:09 -0000	1.22
--- src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1ResultSet.java	3 Nov 2003 05:39:24 -0000
***************
*** 796,814 ****
--- 796,832 ----
   			return s;
  
  		// Handle Money
+ 		boolean isMoney = false;
  		if (s.charAt(0) == '(')
  		{
  			s = "-" + PGtokenizer.removePara(s).substring(1);
+ 			isMoney = true;
  		}
  		if (s.charAt(0) == '$')
  		{
  			s = s.substring(1);
+ 			isMoney = true;
  		}
   		else if (s.charAt(0) == '-' && s.charAt(1) == '$')
   		{
   			s = "-" + s.substring(2);
+ 			isMoney = true;
  		}
  
+ 		// if this is a money field then we must check for
+ 		// and remove any commas we might find to correctly
+ 		// parse it as a double later on.
+ 		if (isMoney) {
+ 			StringBuffer sb = new StringBuffer();
+ 			for (int i=0; i<s.length(); i++) {
+ 				char c = s.charAt(i);
+ 				if (c != ',') {
+ 					sb.append(c);
+ 				}
+ 			}
+ 			return sb.toString();
+ 		}
+ 				
  		return s;
  	}
  
